# -*- mode: perl; coding: utf-8 -*-
# Copyright (c) 2003-2008 Jun Morimoto <morimoto@mrmt.net>
# This program is covered by the GNU General Public License 2
use strict;
use warnings;
use Test::More 'no_plan';
use FindBin;
use lib "$FindBin::Bin/../lib";
BEGIN {
	use_ok('Keitairc::IrcCallback');
}

can_ok('Keitairc::IrcCallback',
       qw/irc_start irc_registered irc_001 irc_public irc_join
	irc_part irc_quit irc_whoreply irc_mode irc_nick irc_notice
	irc_topic irc_topicraw irc_msg irc_ctcp_action irc_reconnect
	irc_connect irc_autoping/);

# TODO: write reasonable test
